CreateBdsCertificateConfigurationDetails

class oci.bds.models.CreateBdsCertificateConfigurationDetails(**kwargs)

Bases: object

The request body for generating BDS certificate configuration.

Methods:

__init__(**kwargs)

Initializes a new CreateBdsCertificateConfigurationDetails object with values from keyword arguments.

Attributes:

certificate_authority_id

Gets the certificate_authority_id of this CreateBdsCertificateConfigurationDetails.

certificate_type

[Required] Gets the certificate_type of this CreateBdsCertificateConfigurationDetails.

compartment_id

Gets the compartment_id of this CreateBdsCertificateConfigurationDetails.

display_name

[Required] Gets the display_name of this CreateBdsCertificateConfigurationDetails.

__init__(**kwargs)

Initializes a new CreateBdsCertificateConfigurationDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • display_name (str) – The value to assign to the display_name property of this CreateBdsCertificateConfigurationDetails.

  • certificate_authority_id (str) – The value to assign to the certificate_authority_id property of this CreateBdsCertificateConfigurationDetails.

  • certificate_type (str) – The value to assign to the certificate_type property of this CreateBdsCertificateConfigurationDetails.

  • compartment_id (str) – The value to assign to the compartment_id property of this CreateBdsCertificateConfigurationDetails.

property certificate_authority_id

Gets the certificate_authority_id of this CreateBdsCertificateConfigurationDetails. The OCID of the certificate authority which is associated with this certificate configuration.

Returns

The certificate_authority_id of this CreateBdsCertificateConfigurationDetails.

Return type

str

property certificate_type

[Required] Gets the certificate_type of this CreateBdsCertificateConfigurationDetails. The type of the BDS certificate configuration, also the type of the BDS certificates which will be generated by the BDS certificate configuration.

Returns

The certificate_type of this CreateBdsCertificateConfigurationDetails.

Return type

str

property compartment_id

Gets the compartment_id of this CreateBdsCertificateConfigurationDetails. The OCID of the compartment of the certificate authority connecting to this certificate configuration.

Returns

The compartment_id of this CreateBdsCertificateConfigurationDetails.

Return type

str

property display_name

[Required] Gets the display_name of this CreateBdsCertificateConfigurationDetails. The display name of the BDS certificate configuration.

Returns

The display_name of this CreateBdsCertificateConfigurationDetails.

Return type

str